Add more phone numbers to "Shields Up" action

Authored by epriestley on Feb 7 2017, 8:27 PM.



This diff adds phone numbers that were giving us trouble on

The specific lists of task that included these numbers can be found at

Test Plan

Create task with these phone numbers

Also, added test coverage.

Diff Detail

R25 Secure
Automatic diff as part of commit; lint not applicable.
Automatic diff as part of commit; unit tests not applicable.
Blendify created this revision.Feb 7 2017, 8:27 PM
epriestley requested changes to this revision.Feb 7 2017, 8:56 PM

Let's really AMP THIS UP to the NEXT LEVEL πŸš€


Are these "O" ("oh"), not "0" ("zero")? I think the logic below will never match "O" ("oh").

Maybe do this:

  • Put "0" ("zero") in the patterns.
  • Make the logic below replace all "O" ("oh") with "0" ("zero") before performing the match (if ambitious: also replace "i", "I", "l", "L", "|" with "1").
  • While you're here, fix the spelling of "betwee" a few lines below this.
This revision now requires changes to proceed.Feb 7 2017, 8:56 PM
Blendify updated this revision to Diff 41662.Feb 7 2017, 9:40 PM
Blendify edited edge metadata.

I changed some things you requested but I do not have enough knowledge of php to do the other part. Maybe use str_replace? Anyway... feel free to commandeer this and make the change

Out of curiosity, why are there "Context not available." indicators here? Am I not supposed to see R25 Secure?

chad added a subscriber: chad.Feb 8 2017, 12:04 AM

My guess is it was a cut & paste diff

Aha that makes sense. Thanks.

Yes, I just copied a pasted the diff. I was having an issue getting arc working for

epriestley commandeered this revision.Feb 8 2017, 5:18 PM
epriestley edited reviewers, added: Blendify; removed: epriestley.

I'll make the other adjustments -- str_replace() is the right approach, but this vital production infrastructure could probably use some unit tests anyway.

epriestley updated this revision to Diff 41711.Feb 13 2017, 3:55 PM
epriestley retitled this revision from Secure: add more phone numbers to Add more phone numbers to "Shields Up" action.
epriestley edited the test plan for this revision. (Show Details)
epriestley edited reviewers, added: chad; removed: Blessed Reviewers, Blendify.
epriestley edited projects, added Abuse; removed Security.
  • Add unit tests.
  • Match "o" and "O" for 0, etc.
chad accepted this revision.Feb 13 2017, 4:12 PM
This revision is now accepted and ready to land.Feb 13 2017, 4:12 PM
This revision was automatically updated to reflect the committed changes.